C
C.*************************************************************************
C____ Author :D. Lawrence                                                 *
C____ date   :3/31/00                                                     *
C                                                                         *
C                Recoil detector for eta experiment                       * 
C.*************************************************************************
C.
      SUBROUTINE RECOIL
C.
      COMMON/TGTPARMS/TLENGTH,TWIDTH,THEIGHT
      COMMON/THARGT/THRPOS(3)
C
      DIMENSION PAR( 8)
C
      PAR(1) =   20.0    ! Rmin
      PAR(2) =   20.5    ! Rmax
      PAR(3) =   25.0    ! Half-length in Z
C
C
C	 	Aluminum frame
      CALL GSVOLU( 'TFRM','TUBE',8 , PAR,3,IVOL)
C
C
   	PAR(2)=PAR(1)  ! Gas fills target
      PAR(1)=0
C
C	 	Target Gas
      CALL GSVOLU( 'TGAS','TUBE',24, PAR,3,IVOL)
C
C	 	Position target gas inside frame
   	CALL GSPOS( 'TGAS' ,2047, 'TFRM' ,0.0 ,0.0 ,0.0 , 0,'ONLY')
C
C	 	Position Whole recoil detector inside Hall B
   	CALL GSPOS( 'TFRM' ,1, 'HALB' ,THRPOS(1),THRPOS(2),THRPOS(3), 0,'MANY')
C
      RETURN
      END
C.
C.
C.
C.







