C
C.*************************************************************************
C____ Author :A. Gasparian                                                *
C____ date : 11/11/97                                                     *
C                                                                         *
C                Primakoff Target                                         * 
C                     Lead Target for Primakov Experiment                 *
C.*************************************************************************
C.
      SUBROUTINE TARGET
C.
      COMMON/GCLINK/JDIGI ,JDRAW ,JHEAD ,JHITS ,JKINE ,JMATE ,JPART
     +      ,JROTM ,JRUNG ,JSET  ,JSTAK ,JGSTAT,JTMED ,JTRACK,JVERTX
     +      ,JVOLUM,JXYZ  ,JGPAR ,JGPAR2,JSKLT
C
      COMMON/TGTPARMS/TLENGTH,TWIDTH,THEIGHT
      COMMON/THARGT/THRPOS(3)
C
      DIMENSION PAR( 8)
C
C Primakov target  ( 280. micrometer, wich is 0.028 cm, 5% R.L, 90 deg.)
C
C                        1 x 1 x 0.028 cm ^3 Pb target
C      PAR(1) =   0.500
C      PAR(2) =   0.500
C      PAR(3) =   0.014
      PAR(1) =   TWIDTH/2.0
      PAR(2) =   THEIGHT/2.0
      PAR(3) =   TLENGTH/2.0
C                                                            Lead Target
C
C      NMED  #16 => Fe target  ( temp =7; vacuum )           ! PB NOT MAG
C            #21 => Pb real density Target for Primakov
C      NMED1 # 1           Air not mag                       ! AIR  NOT MAG
C
      CALL GSVOLU( 'PTRG','BOX ',21 , PAR,3,IVOL)             ! 'PTRG'
C
   	CALL GSPOS( 'PTRG' ,1, 'HALB' ,THRPOS(1),THRPOS(2),THRPOS(3), 0,'ONLY')
C 
      RETURN
      END
C.
C.
C.
C.







