#include <stdio.h>
#include <stdlib.h>
#include <string.h>

void hbname(int i,char *b,void *v,char *f)
{
   hbname_(&i,b,v,f,strlen(b),strlen(f));
}

void hbnamc(int i,char *b,char *v,char *f)
{
   hbnamc_(&i,b,v,f,strlen(b),strlen(f));
}

void hbook1(int n,char *N,int b,float m,float M,float v)
{
   hbook1_(&n,N,&b,&m,&M,&v,strlen(N));
}

void hbook2(int n,char *N,int nx,float xm,float xM,int ny,float ym,float yM,float v)
{
   hbook2_(&n,N,&nx,&xm,&xM,&ny,&ym,&yM,&v,strlen(N));
}

void hbookn(int id,char *t,int NVAR,char *rz,int nw,char *tags)
{
   hbookn_(&id,t,&NVAR,rz,&nw,tags,strlen(t),strlen(rz),8);
}

void hbnt(int id,char *t,char *o)
{
   hbnt_(&id,t,o,strlen(t),strlen(o));
}

void hcopy(int id1,int id2,char *ti)
{
   hcopy_(&id1,&id2,ti,strlen(ti));
}

int hropen(int lun,char *nam,char*fnam,char*stat,int stor,int istat)
{
   hropen_(&lun, nam, fnam, stat, &stor, &istat, strlen(nam),strlen(fnam), strlen(stat));
   return istat;
}

void hlimit(int size)
{
  hlimit_(&size);
}

void gzebra(int size)
{
   gzebra_(&size);
}

void hrput(int id, char *file, char *opt)
{
  hrput_(&id,file,opt,strlen(file),strlen(opt));
}


void hf1(int id, float data, float weight)
{
  hf1_(&id,&data,&weight);
}


void hf2(int id,float data1,float data2,float weight)
{
  hf2_(&id,&data1,&data2,&weight);
}

void hdelet(int id)
{
   hdelet_(&id);
}

void hrin( int id, int icycle , int iofset )
{
        hrin_( &id, &icycle, &iofset);
}

void hfithn(int id, char *chfun, char *chopt, int np, float par[],
        float step[], float pmin[], float pmax[], float sigpar[], float *chi2)
{
  hfithn_(&id, chfun, chopt, &np, par, step, pmin, pmax, sigpar, chi2,
	  strlen(chfun), strlen(chopt));

}

void hunpak(int histo,float contents[],char choice[], int num)
{
  hunpak_(&histo,contents,choice,&num,strlen(choice));
}

void hidopt( int id, char *chopt)
{
        hidopt_( &id, chopt ,  strlen( chopt));
}

void hpak(int histo,float contents[])
{
  hpak_(&histo,contents);
}

void hrget( int id, char *chfile, char *chopt)
{
  hrget_( &id, chfile, chopt, strlen(chfile), strlen(chopt));
}

void hldir(char dir[],char flag[])
{
  hldir_(dir,flag,strlen(dir),strlen(flag));
}

void hmdir(char dir[],char flag[])
{
  hmdir_(dir,flag,strlen(dir),strlen(flag));
}

void hcdir(char dir[],char flag[])
{
  hcdir_(dir,flag,strlen(dir),strlen(flag));
}

/*
void hplzon(int x, int y, int num, char *opt)
{
  hplzon_(&x, &y, &num, opt, strlen(opt));
}

void hplcon(int histonum, int x, int y)
{
  hplcon_(&histonum, &x, &y);
}
*/


void hrout(int num, int icycle, char*opt)
{
        hrout_(&num, &icycle, opt, strlen(opt));
        return;
}

void hrend(char*filename)
{
        hrend_(filename, strlen(filename));
        return;
}


void hreset(int no, char* opt)
{
        hreset_(&no, opt, strlen(opt));
        return;
}

void hfn(int id, float data[])
{
  hfn_(&id,&data[0]); 
}

void hfnt(int id)
{
   hfnt_(&id);
}

void hfntb(int id,char *chblok)
{
   hfntb_(&id,chblok,strlen(chblok));
}

void hprnt(int id)
{
   hprnt_(&id);
}

void grndmq(int iseed1,int iseed2,int iseq,char *chopt)
{
   grndmq_(&iseed1,&iseed2,&iseq,chopt,strlen(chopt));
}

void gsxyz(void)
{
   gsxyz_();
}

void gdxyz(int k)
{
   gdxyz_(&k);
}

void gsvolu(char *name,char *type, int media , float PAR[],int NPAR,int *IVOL)
{
   gsvolu_(name, type, &media, PAR, &NPAR, IVOL,strlen(name),strlen(type));
}

void gspos(char *VOL ,int id, char *MOTH ,float x, float y, float z, int IROT,char *CHONLY)
{
   gspos_(VOL,&id,MOTH,&x,&y,&z,&IROT,CHONLY,strlen(VOL),strlen(MOTH),strlen(CHONLY));
}

void gsrotm(int id,float th1,float ph1,float th2,float ph2,float th3,float ph3)
{
   gsrotm_(&id,&th1,&ph1,&th2,&ph2,&th3,&ph3);
}

void gsdetv(char *CHSET,char *CHDET,int IDTYPE,int NWHI,int NWDI,int *ISET,int *IDET)
{
   gsdetv_(CHSET,CHDET,&IDTYPE,&NWHI,&NWDI,ISET,IDET,strlen(CHSET),strlen(CHDET));

}

void gdeca2(float XMO,float XM1,float XM2,float**PCM)
{
   gdeca2_(&XMO,&XM1,&XM2,PCM);
}

void gdeca3(float XMO,float XM1,float XM2,float XM3,float**PCM)
{
   gdeca3_(&XMO,&XM1,&XM2,&XM3,PCM);
}



