#!/bin/sh

LIST="small2 nominal big1 big2"

for s in $LIST;do {

echo "Building job script for "$s
cat << EOF >tmp.job

PROJECT:clas
COMMAND:/home/davidl/bin/`uname`/simulation
OPTIONS:-b -T 0.33333 -i /home/davidl/work/pi0/$s.dat -o /home/davidl/work/pi0/$s.hist
OS:solaris

EOF

echo
echo "Sending job..."
jsub tmp.job
echo "job sent."

};done

echo
echo "All done."


