

#include "psim.h"

/***********************************************************/
/* This creates an electron 50 cm upstream from the target */
/* with energy E                                           */
/***********************************************************/

int electron(float E)
{
   float VERT[3]={0.0,0.0,-10.0};
   float PLAB[3]={0.0,0.0,0.0};
   float UBUF;
   int IPART=ptype_electron;
   int NVTX,NT;

	E=BEAM_ENERGY;

   VERT[0]=thargt_.thrpos[0];
   VERT[1]=thargt_.thrpos[1];
   VERT[2]=thargt_.thrpos[2]-50.0;
   gsvert_(VERT,&zero,&zero,&UBUF,&zero,&NVTX);
   initial_position.x=VERT[0];
   initial_position.y=VERT[1];
   initial_position.z=VERT[2];
   
   PLAB[2]=sqrt((E*E) - (0.000511*0.000511));
   
   if(!flags[generate_only])gskine_(PLAB,&IPART,&NVTX,&UBUF,&zero,&NT);
   initial_4vect.E=E;
   initial_4vect.x=PLAB[0];
   initial_4vect.y=PLAB[1];
   initial_4vect.z=PLAB[2];
   
   return 0;
}













