C.*************************************************************************
*____ Author :A. Gasparian                                                *
*____ date : 10/10/97                                                     *
*                                                                         *
C.   DEFINITION OF DIPOLE GEOMETRY For Real Primakoff Experiment          *
C    tempor.ly dipole gap in X der. is changed from +/- 7.5 to +/- 15.0cm *
C.*************************************************************************
C
      SUBROUTINE DIPOLE_ETA
C.
      COMMON/GCLINK/JDIGI ,JDRAW ,JHEAD ,JHITS ,JKINE ,JMATE ,JPART
     +      ,JROTM ,JRUNG ,JSET  ,JSTAK ,JGSTAT,JTMED ,JTRACK,JVERTX
     +      ,JVOLUM,JXYZ  ,JGPAR ,JGPAR2,JSKLT
C.
      COMMON/POSITO/POSIT(5)
      COMMON/MSTRNT/STRENT(5)
      COMMON/EDGMAG/POSBGN(5),POSEND(5)
      COMMON/STRCON/GCONS(5)
      COMMON/QUADRD/BORRAD(5),BORSQ(5)
      COMMON/QUADHL/HALFLG(5)
      COMMON/COLLDP/COLLIM
C
      DIMENSION PAR( 8)

C
C  	Magnetic Air volume to place dipole in.
C	 	This is eaxtly the same size as the dipole in x and y
C	 	but extends some in z to allow for fringe field effects.
C
      PAR(1) = 50.0/2.0
      PAR(2) = 50.0/2.0
      PAR(3) = 35.0/2.0
      CALL GSVOLU( 'DPEN','BOX ', 23 ,PAR,3,IVOL)

C
C	 	Iron dipole magnet
C
      PAR(1) = 45.0/2.0
      PAR(2) = 50.0/2.0
      PAR(3) = 33.0/2.0
      CALL GSVOLU( 'DPOL','BOX ',12 ,PAR,3,IVOL)             ! MOLL.  DIPOL

C
C	 	Vaccuum box inside of dipole (note the physical box is
C	 	not included at this time).
C
      PAR(1) = 23.0/2.0
      PAR(2) = 20.0/2.0
      PAR(3) = 33.0/2.0
      CALL GSVOLU( 'DVGP','BOX ', 11 ,PAR,3,IVOL)              

C
C		POSITIONING    'DVGP'  INSIDE  'DPOL' 
      XPOS =  11.000
      YPOS =   0.000
      ZPOS =   0.000
      CALL GSPOS( 'DVGP' ,3002, 'DPOL' ,XPOS,YPOS,ZPOS, 0,'ONLY')

C
C		POSITIONING    'DPOL'  INSIDE  'DPEN' 
      XPOS =  0.000
      YPOS =  0.000
      ZPOS =  0.000
      CALL GSPOS( 'DPOL' ,3001, 'DPEN' ,XPOS,YPOS,ZPOS, 0,'ONLY')

C
C		POSITIONING    'DPEN'  INSIDE  'HALB' 
      XPOS = -11.000
      YPOS =   0.000
      ZPOS =   POSIT(1)
      CALL GSPOS( 'DPEN' ,3000, 'HALB' ,XPOS,YPOS,ZPOS, 0,'MANY')
C
C
      RETURN
      END

