
C.
C.**************************************************************************
*____ Author :A. Gasparian                                                 *
*____ date : 10/10/97                                                      *
*                                                                          *
*                                                                          *
C ***          Defines geometry of Hall B Real Photon Tagging setup        *
*                25 x 25 area of TF-1 Lead Glass detectors                 *
*                 with size 4x4x40 cm^3  each element                      *
*                                              version  0.01               *
*              and small Dipole after target                               *
*
*	Modified 6/18/98 by D. Lawrence
*
C.**************************************************************************
C
      SUBROUTINE MOTHER
C
C
      COMMON/GCLINK/JDIGI ,JDRAW ,JHEAD ,JHITS ,JKINE ,JMATE ,JPART
     +      ,JROTM ,JRUNG ,JSET  ,JSTAK ,JGSTAT,JTMED ,JTRACK,JVERTX
     +      ,JVOLUM,JXYZ  ,JGPAR ,JGPAR2,JSKLT
      COMMON/GCKINE/IKINE,PKINE(10),ITRA,ISTAK,IVERT,IPART,ITRTYP
     +      ,NAPART(5),AMASS,CHARGE,TLIFE,VERT(3),PVERT(4),IPAOLD
C
C
      COMMON/POSITO/POSIT(5)
      COMMON/ZPLANE/ZPLN(5)
C
      DIMENSION PAR( 8)
C
C
C******************************************************************
C                      MOTHER VOLUME
C******************************************************************
C.
C...  PARAMETERS OF MOTHER VOLUME 'HALB'
C... Hall B is described as a 'BOX ' with half sizes =1320.x2610.x2700. cm^3
C... hall B referense frame
C... OZ ALONG BEAM, OX HORIZONTAL(NON DISPERSION), OY- VERTICAL 
CC      PAR(1) = 2610.
CC      PAR(2) = 1320.
CC      PAR(3) = 2700.
C
      PAR(1) =  500.000
      PAR(2) =  500.000
      PAR(3) =  2000.000
C     Mother volume is Air
C
      CALL GSVOLU( 'HALB','BOX ', 1,PAR,3,IVOL)               !  HALL B
C.         
C........        CREATION OF VACUUM CHAMBER AND Primakoff TARGET
C.
C

C******************************************************************
C                      DUMMY VOLUME (I'm not sure what this is for)
C******************************************************************
C
C     dummy volume for coordinate difinition
C
      CALL DUMMY
C
C .......  POSITIONING                            'DUMY' opstream to Pi0 det
C
      XT0 =   0.000
      YT0 =   0.000
      ZT0 =   ZPLN(1)+1.5                   !  Z thickness is 2. cm
C
      CALL GSPOS( 'DUMY' ,1, 'HALB' ,XT0,YT0,ZT0, 0 ,'ONLY')
C
C
C.......................
C
C******************************************************************
C                      END OF GEOMETRY DEFINITIONS
C******************************************************************
C.
C.
      RETURN
      END
C
C........
C









