
C
C  Routine to read in data records from file
C
C

      SUBROUTINE DATARECORDS()

      COMMON/PERTUR/SIG(2)
C
      COMMON/POSITO/POSIT(5)
      COMMON/ZPLANE/ZPLN(5)
      COMMON/MSTRNT/STRENT(5)
      COMMON/EDGMAG/POSBGN(5),POSEND(5)
      COMMON/STRCON/GCONS(5)
      COMMON/QUADRD/BORRAD(5),BORSQ(5)
      COMMON/QUADHL/HALFLG(5)
      COMMON/COLLDP/COLLIM
      COMMON/THARGT/THRPOS(3)
C
      COMMON/PHBMEN/EGFRAC(2)
      COMMON/EQUIPH/QEQUPH
      COMMON/TMCAR4/egammn,egammx,denest
      DOUBLE PRECISION egammx,egammn,denest
C
      COMMON/POSDET/DETPOS(4)
      COMMON/NEWDET/PI0DET(4),LGWIDTH,LGLENGTH,INWIDTH,INLENGTH,WRAP
     +      ,AIRGAP,GEOMTYPE
      COMMON/G1SAMP/CMG1MM(2)
C
      COMMON/HRSANG/ANGLES(2)
      COMMON/ARMSPR/ELARMP(5),HDARMP(5)
      COMMON/SPCFLD/EFLD,HFLD
      COMMON/MAGCUT/CUTMAG(10),MGNSTP
      COMMON/PAIRC/PLENGTH,PWIDTH,PHEIGHT,PPOS(3),PROTY
      COMMON/TGTPARMS/TLENGTH,TWIDTH,THEIGHT

      COMMON/GCKINE/IKINE,PKINE(10),ITRA,ISTAK,IVERT,IPART,ITRTYP
     +      ,NAPART(5),AMASS,CHARGE,TLIFE,VERT(3),PVERT(4),IPAOLD


      COMMON/FNAME/INFILE,OUTFILE
      CHARACTER*256 INFILE,OUTFILE
C
      COMMON/GRAPHIC/USEGRAPH,VIEWTH,VIEWPH,VIEWPS,VSCALE
      LOGICAL USEGRAPH
      COMMON/GCFLAX/BATCH,NOLOG
      LOGICAL BATCH,NOLOG
C
      CHARACTER*4 EFLD,HFLD
      DIMENSION ELMSET(6),HDMSET(6)
      EQUIVALENCE (ELMSET(1),EFLD)
      EQUIVALENCE (HDMSET(1),HFLD)


 		
      OPEN(4,FILE='pr_back.dat',STATUS='UNKNOWN')
      CALL FFKEY('CTMG',CUTMAG,10,'REAL')
      CALL FFKEY('POSI',POSIT,5,'REAL')
      CALL FFKEY('HLEN',HALFLG,5,'REAL')
      CALL FFKEY('MSTR',STRENT,5,'REAL')
      CALL FFKEY('BORR',BORRAD,5,'REAL')
      CALL FFKEY('ZCUT',ZPLN,5,'REAL')
C
C          COLLIM= +/- for collim. position in Dipole
      CALL FFKEY('COLL',COLLIM,1,'REAL')
C          Target Position
      CALL FFKEY('TPOS',THRPOS,3,'REAL')
C          Moller Detector Position
      CALL FFKEY('DTPO',DETPOS,4,'REAL')
C          Pi0 detector Position and angle
      CALL FFKEY('PI0D',PI0DET,4,'REAL')
C          Two Gamma Teta angle sampling in CM
      CALL FFKEY('G1CM',CMG1MM,2,'REAL')
C          Tagged beam equivalent Photon Number in sec
      CALL FFKEY('QEQU',QEQUPH,1,'REAL')
C          Tagged gamma accepted fractions
      CALL FFKEY('EGFR',EGFRAC,2,'REAL')
C
      CALL FFKEY('ELFL',ELMSET,6,'MIXED')
      CALL FFKEY('HRSE',ELARMP,5,'REAL')
      CALL FFKEY('HDFL',HDMSET,6,'MIXED')
      CALL FFKEY('HRSH',HDARMP,5,'REAL')
      CALL FFKEY('SIGM',SIG,2,'REAL')
C
      CALL FFKEY('PRCT',PLENGTH,7,'REAL')
      CALL FFKEY('TGTP',TLENGTH,3,'REAL')

C.
C     'POSI' is position in cm for five moll. pol elements (targ, Q1, Q2, Q3, D)
C     'MSTR' is strentnees of the diff. mag el (G1, G2, G3, B0-for dipole )
C.    'BORR' IS BORE REDIUCE FOR QUADS AND HALF GAP OF DIPOLE IN CM
C
      CALL FFSET('LINP',4)

      CALL GFFGO
      
      RETURN
      END















