
      SUBROUTINE DEFAULTS1(GEOMETRY_TYPE)
C.
C.
		integer GEOMETRY_TYPE
C		
      COMMON/GCFLAG/IDEBUG,IDEMIN,IDEMAX,ITEST,IDRUN,IDEVT,IEORUN
     +        ,IEOTRI,IEVENT,ISWIT(10),IFINIT(20),NEVENT,NRNDM(2)
C
      COMMON/GCTIME/TIMINT,TIMEND,ITIME,IGDATE,IGTIME
      COMMON/GCKINE/IKINE,PKINE(10),ITRA,ISTAK,IVERT,IPART,ITRTYP
     +      ,NAPART(5),AMASS,CHARGE,TLIFE,VERT(3),PVERT(4),IPAOLD
      COMMON/GCPHYS/IPAIR,SPAIR,SLPAIR,ZINTPA,STEPPA
     +             ,ICOMP,SCOMP,SLCOMP,ZINTCO,STEPCO
     +             ,IPHOT,SPHOT,SLPHOT,ZINTPH,STEPPH
     +             ,IPFIS,SPFIS,SLPFIS,ZINTPF,STEPPF
     +             ,IDRAY,SDRAY,SLDRAY,ZINTDR,STEPDR
     +             ,IANNI,SANNI,SLANNI,ZINTAN,STEPAN
     +             ,IBREM,SBREM,SLBREM,ZINTBR,STEPBR
     +             ,IHADR,SHADR,SLHADR,ZINTHA,STEPHA
     +             ,IMUNU,SMUNU,SLMUNU,ZINTMU,STEPMU
     +             ,IDCAY,SDCAY,SLIFE ,SUMLIF,DPHYS1
     +             ,ILOSS,SLOSS,SOLOSS,STLOSS,DPHYS2
     +             ,IMULS,SMULS,SOMULS,STMULS,DPHYS3
     +             ,IRAYL,SRAYL,SLRAYL,ZINTRA,STEPRA
C
      COMMON/NEWDET/PI0DET(4),LGWIDTH,LGLENGTH,INWIDTH,INLENGTH,WRAP
     +      ,AIRGAP,GEOMTYPE
      COMMON/QUADHL/HALFLG(5)
      COMMON/POSITO/POSIT(5)
      COMMON/PERTUR/SIG(2)
      COMMON/EDGMAG/POSBGN(5),POSEND(5)
      COMMON/HRSANG/ANGLES(2)
      COMMON/ARMSPR/ELARMP(5),HDARMP(5)
      COMMON/SPCFLD/EFLD,HFLD
      COMMON/MAGCUT/CUTMAG(10),MGNSTP
      CHARACTER*4 EFLD,HFLD
      DIMENSION ELMSET(6),HDMSET(6)
      EQUIVALENCE (ELMSET(1),EFLD)
      EQUIVALENCE (HDMSET(1),HFLD)
C.

      COMMON/ZPLANE/ZPLN(5)
      COMMON/MSTRNT/STRENT(5)
      COMMON/STRCON/GCONS(5)
      COMMON/QUADRD/BORRAD(5),BORSQ(5)
      COMMON/COLLDP/COLLIM
      COMMON/THARGT/THRPOS(3)
C
      COMMON/PHBMEN/EGFRAC(2)
      COMMON/EQUIPH/QEQUPH
      COMMON/TMCAR4/egammn,egammx,denest
      DOUBLE PRECISION egammx,egammn,denest
C
      COMMON/POSDET/DETPOS(4)
      COMMON/G1SAMP/CMG1MM(2)
C
      COMMON/PAIRC/PLENGTH,PWIDTH,PHEIGHT,PPOS(3),PROTY
      COMMON/TGTPARMS/TLENGTH,TWIDTH,THEIGHT


      COMMON/FNAME/INFILE,OUTFILE
      CHARACTER*256 INFILE,OUTFILE
C
      COMMON/GRAPHIC/USEGRAPH,VIEWTH,VIEWPH,VIEWPS,VSCALE
      LOGICAL USEGRAPH
      COMMON/GCFLAX/BATCH,NOLOG
      LOGICAL BATCH,NOLOG
C
C
C
C
C		Set some defaults depending on the GEOMETRY_TYPE before
C		reading from the file
		PAIR = 1
		COMP = 1
		PHOT = 1
		PFIS = 1
		MULS = 1
		BREM = 1
		LOSS = 1
		DRAY = 1
		ANNI = 1
		MUNU = 1
		HADR = 1
		CKOV = 1
		LABS = 1
		SYNC = 1

		NEVENT=200000000
		TIMINT=100000.
		TIMEND=10.
		ITIME=-1

		GEOMTYPE=GEOMETRY_TYPE

		IF (GEOMETRY_TYPE.eq.0) THEN

		ELSEIF (GEOMETRY_TYPE.eq.1.or.GEOMETRY_TYPE.eq.2) THEN
			THRPOS(1)=0.0
			THRPOS(2)=0.0
			THRPOS(3)=200.0  ! Target center on Z-axis
			STRENT(1)=15.0   ! max B-field in kG
			POSIT(1)=300.0   ! dipole center on Z-axis
			PI0DET(1)=0.0
			PI0DET(2)=0.0
			PI0DET(3)=500.0  ! calorimeter front face on Z-axis
		ENDIF
C
C
		SIG(1)=0.0600
		SIG(2)=0.300
		CMG1MM(1)=0.00
		CMG1MM(2)=180.0
		QEGUPH=7.2135
		EGFRAC(1)=0.1
		EGFRAC(2)=0.9900
		IKINE=1
		PKINE(1)=6.0
		PKINE(2)=0.0
		PKINE(3)=0.0
		PKINE(4)=0.0
		PKINE(5)=0.0
		PKINE(6)=0.0
		PKINE(7)=0.0
		PKINE(8)=0.0
		PKINE(9)=0.1
		PKINE(10)=0.0
C
		ISWIT( 1) = 1
		ISWIT( 2) = 1
		ISWIT( 3) = 1
		ISWIT( 4) = 1
		ISWIT( 6) = 1
		ISWIT( 7) = 1
		ISWIT( 8) = 1
C.
      PKINE(1)=4.
      PKINE(2)=0.
      PKINE(3)=0.
C.
      ELARMP(1)=45.
      ELARMP(2)=-4.
      ELARMP(3)= 1.      ! IFIELD=2 inhomogeneous mag. field  ( CALL GHELIX)
      ELARMP(4)= 0.2     ! TMAXFD max. angular deviation by mag. f-d in 1 step
      ELARMP(5)= 3.      ! partical type
      EFLD     ='FMAP'
C
      HDARMP(1)=30.
      HDARMP(2)= 4.
      HDARMP(3)= 1.      ! IFIELD=2 inhomogeneous mag. field  ( CALL GHELIX)
      HDARMP(4)= 0.2     ! TMAXFD max. angular deviation by mag. f-d in 1 step
      HDARMP(5)= 14.      ! partical type
      HFLD     ='FMAP'
C
C...     DEFAULT KINETIC ENERGY CUT LEVEL FOR MAGNETIC INVIRMENT ( GEV )
      CUTMAG(1)= 0.05
      CUTMAG(2)= 0.05
      CUTMAG(3)= 0.05
      CUTMAG(4)= 0.05
      CUTMAG(5)= 0.05
      CUTMAG(10)=1000
C.
   	END
      
      SUBROUTINE DEFAULTS2
C.
      COMMON/QUADHL/HALFLG(5)
      COMMON/POSITO/POSIT(5)
      COMMON/EDGMAG/POSBGN(5),POSEND(5)
      COMMON/MAGCUT/CUTMAG(10),MGNSTP
      COMMON/ARMSPR/ELARMP(5),HDARMP(5)
      COMMON/HRSANG/ANGLES(2)

C     HALFLG(I) is the half Physical length of  mag. elements
C     Therefore to get half eff. mag. length =HALFLG+BORRAD/2.
      DO I = 1,5
        POSEND(I) = POSIT(I) + HALFLG(I)
        POSBGN(I) = POSIT(I) - HALFLG(I)
        print*,'POSB(',I,')=',POSBGN(I),' PT=',POSIT(I),' H=',HALFLG(I)
      ENDDO
C      
      MGNSTP    = CUTMAG(10)
C
      ANGLES(1) = ELARMP(1)
      ANGLES(2) = HDARMP(1)

      RETURN
      END

