C
C      This Subr. provides a plan in the form of
C           AX + BY + CZ + D = 0
C      from given 3 point coordinat 
C           first point  X1 Y1 Z1
C                        X2 Y2 Z2
C                        X3 Y3 Z3
C       output;  A, B C D          for plane
C
C.................................................................
C
      SUBROUTINE PLN_3P(X1,Y1,Z1,X2,Y2,Z2,X3,Y3,Z3,A,B,C,D)
C
CC      COMMON/POINTS/X1,Y1,Z1,X2,Y2,Z2,X3,Y3,Z3
CC      COMMON/PLANE/A,B,C,D
C
      DOUBLE PRECISION X1,Y1,Z1,X2,Y2,Z2,X3,Y3,Z3,A,B,C,D
C
      A = (Y2-Y1)*(Z3-Z1)-(Y3-Y1)*(Z2-Z1)
      B = (X3-X1)*(Z2-Z1)-(X2-X1)*(Z3-Z1)
      C = (X2-X1)*(Y3-Y1)-(X3-X1)*(Y2-Y1)
C
      D = -(X1*A + Y1*B + Z1*C)
C
      ABC = DSQRT(A*A+B*B+C*C)
      A   = A/ABC
      B   = B/ABC
      C   = C/ABC
C
C
      RETURN
      END
C
